Package com.orchestranetworks.schema

# Interface SchemaTypeName

public interface SchemaTypeName
Identifies a named type definition. Constants defined by this interface define the simple types supported by EBX®.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final SchemaTypeName`
  `OSD_COLOR`
  Built-in EBX® data type `osd:color`.
  `static final SchemaTypeName`
  `OSD_DATASET_NAME`
  Built-in EBX® data type `osd:datasetName`.
  `static final SchemaTypeName`
  `OSD_DATASPACE_KEY`
  Built-in EBX® data type `osd:dataspaceKey`.
  `static final SchemaTypeName`
  `OSD_EMAIL`
  Built-in EBX® data type `osd:email`.
  `static final SchemaTypeName`
  `OSD_LOCALE`
  Built-in EBX® data type `osd:locale`.
  `static final SchemaTypeName`
  `OSD_PASSWORD`
  Built-in EBX® data type `osd:password`.
  `static final SchemaTypeName`
  `OSD_RESOURCE`
  Built-in EBX® data type `osd:resource`.
  `static final SchemaTypeName`
  `OSD_STRING_HTML`
  Built-in EBX® data type `osd:html`.
  `static final SchemaTypeName`
  `OSD_TEXT`
  Built-in EBX® data type `osd:text`.
  `static final SchemaTypeName`
  `OSD_UDA`
  Built-in EBX® data type `osd:uda`.
  `static final SchemaTypeName`
  `OSD_UDA_CATALOG`
  Built-in EBX® data type `osd:udaCatalog`.
  `static final SchemaTypeName`
  `XS_ANY_URI`
  Built-in XML Schema data type xs:anyURI.
  `static final SchemaTypeName`
  `XS_BOOLEAN`
  Built-in XML Schema data type xs:boolean.
  `static final SchemaTypeName`
  `XS_DATE`
  Built-in XML Schema data type xs:date.
  `static final SchemaTypeName`
  `XS_DATETIME`
  Built-in XML Schema data type xs:dateTime.
  `static final SchemaTypeName`
  `XS_DECIMAL`
  Built-in XML Schema data type xs:decimal.
  `static final SchemaTypeName`
  `XS_INT`
  Built-in XML Schema data type xs:int.
  `static final SchemaTypeName`
  `XS_INTEGER`
  Built-in XML Schema data type xs:integer.
  `static final SchemaTypeName`
  `XS_NAME`
  Built-in XML Schema data type xs:Name.
  `static final SchemaTypeName`
  `XS_NMTOKEN`
  Deprecated.
  Built-in data type xs:NMTOKEN.
  `static final SchemaTypeName`
  `XS_NMTOKENS`
  Deprecated.
  Built-in XML Schema data type xs:NMTOKENS.
  `static final SchemaTypeName`
  `XS_STRING`
  Built-in XML Schema data type xs:string.
  `static final SchemaTypeName`
  `XS_TIME`
  Built-in XML Schema data type xs:time.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UserMessage`
  `getBuiltInTypeLabel()`
  Returns the internationalized label of this type name if it refers to one of built-in XSD or EBX® data types.
  `String`
  `getNameWithoutPrefix()`
  If this type name has a namespace, returns the local name (without the prefix).
  `boolean`
  `isNoNamespaceDatatype()`
  Returns `true` only if the corresponding type is defined with no target namespace in a data model.
  `boolean`
  `isOSDDatatype()`
  Returns `true` only if this type name refers to one of the built-in EBX® data types.
  `boolean`
  `isXSDBuiltInDatatype()`
  Returns `true` only if this type name refers to one of the built-in data types defined by the XML Schema recommendation.

- ## Field Details

  - ### XS_STRING

    static final SchemaTypeName XS_STRING
    Built-in XML Schema data type xs:string.

  - ### XS_BOOLEAN

    static final SchemaTypeName XS_BOOLEAN
    Built-in XML Schema data type xs:boolean.

  - ### XS_DECIMAL

    static final SchemaTypeName XS_DECIMAL
    Built-in XML Schema data type xs:decimal.

  - ### XS_DATETIME

    static final SchemaTypeName XS_DATETIME
    Built-in XML Schema data type xs:dateTime.

  - ### XS_TIME

    static final SchemaTypeName XS_TIME
    Built-in XML Schema data type xs:time.

  - ### XS_DATE

    static final SchemaTypeName XS_DATE
    Built-in XML Schema data type xs:date.

  - ### XS_ANY_URI

    static final SchemaTypeName XS_ANY_URI
    Built-in XML Schema data type xs:anyURI.

  - ### XS_NAME

    static final SchemaTypeName XS_NAME
    Built-in XML Schema data type xs:Name.

  - ### XS_NMTOKEN

    @Deprecated static final SchemaTypeName XS_NMTOKEN
    Deprecated.
    Built-in data type xs:NMTOKEN.

  - ### XS_NMTOKENS

    @Deprecated static final SchemaTypeName XS_NMTOKENS
    Deprecated.
    Built-in XML Schema data type xs:NMTOKENS.

  - ### XS_INT

    static final SchemaTypeName XS_INT
    Built-in XML Schema data type xs:int.

  - ### XS_INTEGER

    static final SchemaTypeName XS_INTEGER
    Built-in XML Schema data type xs:integer.

  - ### OSD_TEXT

    static final SchemaTypeName OSD_TEXT
    Built-in EBX® data type `osd:text`.
    See Also:
      - Data type documentation

  - ### OSD_STRING_HTML

    static final SchemaTypeName OSD_STRING_HTML
    Built-in EBX® data type `osd:html`.
    See Also:
      - Data type documentation

  - ### OSD_EMAIL

    static final SchemaTypeName OSD_EMAIL
    Built-in EBX® data type `osd:email`.
    See Also:
      - Data type documentation

  - ### OSD_PASSWORD

    static final SchemaTypeName OSD_PASSWORD
    Built-in EBX® data type `osd:password`.
    See Also:
      - Data type documentation

  - ### OSD_LOCALE

    static final SchemaTypeName OSD_LOCALE
    Built-in EBX® data type `osd:locale`.
    See Also:
      - Data type documentation

  - ### OSD_COLOR

    static final SchemaTypeName OSD_COLOR
    Built-in EBX® data type `osd:color`.
    Since:
      5.8.0
    See Also:
      - Data type documentation

  - ### OSD_RESOURCE

    static final SchemaTypeName OSD_RESOURCE
    Built-in EBX® data type `osd:resource`.
    See Also:
      - Data type documentation

  - ### OSD_DATASPACE_KEY

    static final SchemaTypeName OSD_DATASPACE_KEY
    Built-in EBX® data type `osd:dataspaceKey`.
    Since:
      5.8.0
    See Also:
      - Data type documentation

  - ### OSD_DATASET_NAME

    static final SchemaTypeName OSD_DATASET_NAME
    Built-in EBX® data type `osd:datasetName`.
    Since:
      5.8.0
    See Also:
      - Data type documentation

  - ### OSD_UDA

    static final SchemaTypeName OSD_UDA
    Built-in EBX® data type `osd:uda`.

  - ### OSD_UDA_CATALOG

    static final SchemaTypeName OSD_UDA_CATALOG
    Built-in EBX® data type `osd:udaCatalog`.

- ## Method Details

  - ### getNameWithoutPrefix

    String getNameWithoutPrefix()
    If this type name has a namespace, returns the local name (without the prefix).

  - ### isXSDBuiltInDatatype

    boolean isXSDBuiltInDatatype()
    Returns `true` only if this type name refers to one of the built-in data types defined by the XML Schema recommendation.

  - ### isNoNamespaceDatatype

    boolean isNoNamespaceDatatype()
    Returns `true` only if the corresponding type is defined with no target namespace in a data model.

  - ### isOSDDatatype

    boolean isOSDDatatype()
    Returns `true` only if this type name refers to one of the built-in EBX® data types.

  - ### getBuiltInTypeLabel

    UserMessage getBuiltInTypeLabel()
    Returns the internationalized label of this type name if it refers to one of built-in XSD or EBX® data types. Returns `null` if this type name is not a built-in data type.